#include "poly.h"
#include "buffer.h"

const int DIM=512;
const int NPOLYS=20;

int main()
{
    srand((unsigned int)time(0));
    openWindow(DIM, DIM, "Polyedres");
    Buffer buf = creeBuffer(DIM,DIM);

    Polyedre poly[NPOLYS];
    Point vectRotation[NPOLYS];

    for(int i=0; i<NPOLYS; i++) {
        if(rand()%2 == 0)
            poly[i] = tetraedre(DIM,DIM, 100);
        else
            poly[i] = octaedre(DIM, DIM, 100);
        vectRotation[i] = randomVect()*0.1f;
    }

    while(true) {
        reinit(buf);
        for(int i=0; i<NPOLYS; i++) {
            tourne(poly[i], vectRotation[i]);
            projette(poly[i], buf);
        }
        affiche(buf);
        milliSleep(50);
    }

    for(int i=0; i<NPOLYS; i++)
        detruit(poly[i]);
    delete [] buf.z;

    endGraphics();
    return 0;
}
